> For the complete documentation index, see [llms.txt](https://docs.artinals.com/artinals-protocol/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.artinals.com/artinals-protocol/market-module/functions-and-entry-points/accept-sell-offer.md).

# Accept Sell Offer

Function:

```
public fun accept_offer<CURRENCY>(
    ledger: &mut TradeLedger,
    offer_id: ID,
    mut payment: Coin<CURRENCY>,
    collection_cap: &CollectionCap,
    amount_to_buy: u64,
    clock: &Clock,
    ctx: &mut TxContext
)

```

**Description:**

* Allows a **buyer** to accept a sell offer.
* The buyer provides the **required amount** in `CURRENCY`.
* The **NFTs are transferred** to the buyer, and the seller receives payment.

**Validations:**

* The offer **must be open**.
* The buyer must **have enough funds**.
* The offer is **updated to FILLED or PARTIALLY FILLED** based on the purchase amount.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artinals.com/artinals-protocol/market-module/functions-and-entry-points/accept-sell-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
